Subject: Re: iproute2: git pull request from debian repo.

From: Patrick McHardy <[email-masked]>
Date: Tue, 23 Oct 2007 17:08:10 +0200

Andreas Henriksson wrote:
> On Tue, Oct 23, 2007 at 04:38:06PM +0200, Patrick McHardy wrote:
>> Almost - the default behaviour shouldn't change IMO. Also please
>> send a complete patch, not one on top of your old one.
> 
> Which "default behaviour"? ip addr flush or ip neigh flush behaviour?
> Both of those should behave the same IMHO.

In both cases your changed behaviour should be optional and it should
default to the old behaviour. Not actually flushing completely when the
user specified "flush" is counter-intuitive.

> Defaulting to never bail out is causing problems in a bunch of firewalling
> frontends which has been reported multiple times to both debian and ubuntu
> (and possibly others I don't know about), and looping forever causes the
> bootup to never finish.
> Thats my reason for advocating not selecting the "loop forever" as the
> default choice.

Then those frontends should add "maxrounds N" if they want to abort
before the flush is complete.